## gmusicbrowser-1.1.6.tar.gz

=== Makefile ===
PACKAGE = gmusicbrowser
VERSION = $(shell grep "^ *VERSIONSTRING" gmusicbrowser.pl |head -n 1 |grep -Eo [.0-9]+)


prefix		= usr
bindir 		= ${DESTDIR}/${prefix}/bin
appdir		= ${DESTDIR}/${prefix}/share/applications
datadir		= ${DESTDIR}/${prefix}/share
mandir		= ${DESTDIR}/${prefix}/share/man
docdir		= ${DESTDIR}/${prefix}/share/doc/$(PACKAGE)-${VERSION}
localedir	= ${DESTDIR}/${prefix}/share/locale
menudir		= ${DESTDIR}/${prefix}/lib/menu
iconsdir	= ${DESTDIR}/${prefix}/share/icons
liconsdir	= $(iconsdir)/large
miconsdir	= $(iconsdir)/mini

DOCS=AUTHORS COPYING README NEWS INSTALL layout_doc.html
LINGUAS=$(shell for l in po/*po; do basename $$l .po; done)

all: locale
clean:
	rm -rf dist/
distclean: clean
	rm -rf locale/

po/gmusicbrowser.pot : gmusicbrowser.pl *.pm plugins/*.pm layouts
	perl po/create_pot.pl --quiet

po/%.po : po/gmusicbrowser.pot
	msgmerge -s -U -N $@ po/gmusicbrowser.pot

locale/%/LC_MESSAGES/gmusicbrowser.mo : po/%.po po/gmusicbrowser.pot
	mkdir -p locale/$*/LC_MESSAGES/
	msgfmt --statistics -c -o $@ $<

locale: $(foreach l,$(LINGUAS),locale/$l/LC_MESSAGES/gmusicbrowser.mo)


install: all
	mkdir -p "$(bindir)"
	mkdir -p "$(datadir)/gmusicbrowser/"
	mkdir -p "$(docdir)"
	mkdir -p "$(mandir)/man1/"
	install -pm 644 $(DOCS) "$(docdir)"
	install -pm 644 gmusicbrowser.man "$(mandir)/man1/gmusicbrowser.1"
	install -pd "$(datadir)/gmusicbrowser/pix/"
	install -pd "$(datadir)/gmusicbrowser/pix/elementary/"
	install -pd "$(datadir)/gmusicbrowser/pix/gnome-classic/"
	install -pd "$(datadir)/gmusicbrowser/pix/tango/"
	install -pd "$(datadir)/gmusicbrowser/pix/oxygen/"
	install -pd "$(datadir)/gmusicbrowser/plugins/"
	install -pDm 755 gmusicbrowser.pl "$(bindir)/gmusicbrowser"
	install -pm 755 iceserver.pl      "$(datadir)/gmusicbrowser/iceserver.pl"
	install -pm 644 *.pm layouts      "$(datadir)/gmusicbrowser/"
	install -pm 644 gmbrc.default     "$(datadir)/gmusicbrowser/"
	install -pm 644 plugins/*.pm      "$(datadir)/gmusicbrowser/plugins/"
	install -pm 644 pix/*.png         "$(datadir)/gmusicbrowser/pix/"
	install -pm 644 pix/elementary/*    "$(datadir)/gmusicbrowser/pix/elementary/"
	install -pm 644 pix/gnome-classic/*    "$(datadir)/gmusicbrowser/pix/gnome-classic/"
	install -pm 644 pix/tango/*            "$(datadir)/gmusicbrowser/pix/tango/"
	install -pm 644 pix/oxygen/*           "$(datadir)/gmusicbrowser/pix/oxygen/"
	install -pDm 644 gmusicbrowser.desktop "$(datadir)/applications/gmusicbrowser.desktop"
	install -pDm 644 gmusicbrowser.menu    "$(menudir)/gmusicbrowser"
	install -pDm 644 pix/gmusicbrowser32x32.png "$(iconsdir)/gmusicbrowser.png"
	install -pDm 644 pix/gmusicbrowser.png      "$(liconsdir)/gmusicbrowser.png"
	install -pDm 644 pix/trayicon.png           "$(miconsdir)/gmusicbrowser.png"
	for lang in $(LINGUAS) ; \
	do \
		install -pd "$(localedir)/$$lang/LC_MESSAGES/"; \
		install -pm 644 locale/$$lang/LC_MESSAGES/gmusicbrowser.mo	"$(localedir)/$$lang/LC_MESSAGES/"; \
	done

postinstall:
	update-menus

uninstall:
	rm -f "$(bindir)/gmusicbrowser"
	rm -rf "$(datadir)/gmusicbrowser/" "$(docdir)"
	rm -f "$(liconsdir)/gmusicbrowser.png" "$(miconsdir)/gmusicbrowser.png" "$(iconsdir)/gmusicbrowser.png"
	rm -f "$(appdir)/gmusicbrowser.desktop" "$(menudir)/gmusicbrowser"
	rm -f "$(mandir)/$(MANS)"
	rm -f "$(localedir)/*/LC_MESSAGES/gmusicbrowser.mo"

postuninstall:
	#clean_menus
	update-menus

prepackage : all
	perl -pi -e 's!Version:.*!Version: '$(VERSION)'!' gmusicbrowser.spec
	mkdir -p dist/

dist: prepackage
	tar -czf dist/$(PACKAGE)-$(VERSION).tar.gz . --transform=s/^[.]/$(PACKAGE)-$(VERSION)/ --exclude=\*~ --exclude=.git\* --exclude=.\*swp --exclude=./dist && echo wrote dist/$(PACKAGE)-$(VERSION).tar.gz

# release : same as dist, but exclude debian/ folder
release: prepackage
	tar -czf dist/$(PACKAGE)-$(VERSION).tar.gz . --transform=s/^[.]/$(PACKAGE)-$(VERSION)/ --exclude=\*~ --exclude=.git\* --exclude=.\*swp --exclude=./dist --exclude=./debian && echo wrote dist/$(PACKAGE)-$(VERSION).tar.gz

=== debian/changelog ===
gmusicbrowser (1.1.6) maverick; urgency=low

  * new version

 -- Quentin Sculo <squentin@free.fr>  Mon, 13 Dec 2010 17:48:00 +0200

gmusicbrowser (1.1.5) karmic; urgency=low

  * new version

 -- Quentin Sculo <squentin@free.fr>  Tue, 20 Apr 2010 21:39:00 +0200

gmusicbrowser (1.1.4) karmic; urgency=low

  * new version

 -- Quentin Sculo <squentin@free.fr>  Sat, 31 Jan 2010 14:32:00 +0200

gmusicbrowser (1.1.3) intrepid; urgency=low

  * new version

 -- Quentin Sculo <squentin@free.fr>  Sat, 19 Sep 2009 23:56:00 +0200

gmusicbrowser (1.1.2) intrepid; urgency=low

  * new version

 -- Quentin Sculo <squentin@free.fr>  Sat, 05 Sep 2009 21:30:00 +0200

gmusicbrowser (1.1.1) intrepid; urgency=low

  * new version

 -- Quentin Sculo <squentin@free.fr>  Fri, 17 Apr 2009 20:45:00 +0200

gmusicbrowser (1.0) hardy; urgency=low

  * new version

 -- Quentin Sculo <squentin@free.fr>  Sat, 26 Jun 2008 17:07:00 +0200

gmusicbrowser (0.964) hardy; urgency=low

  * new version

 -- Quentin Sculo <squentin@free.fr>  Fri, 02 May 2008 15:39:00 +0200

gmusicbrowser (0.963) gutsy; urgency=low

  * new version
  * lots of changes

 -- Quentin Sculo <squentin@free.fr>  Sun, 02 Mar 2008 17:33:20 +0200

gmusicbrowser (0.962) gutsy; urgency=low

  * new version
  * set maintainer to Quentin Sculo
  * moved libgtk2-trayicon-perl from Suggests to Depends

 -- Quentin Sculo <squentin@free.fr>  Sun, 28 Oct 2007 02:00:00 +0200

gmusicbrowser (0.958-0ubuntu1) gutsy; urgency=low

  * Packaged for Ubuntu based on upstream's debian dir (Fixes LP #120213)
  * debian/control:
    - Add build-depends on debhelper and imagemagick
    - Add standards-version
    - Set maintainer to Ubuntu MOTU Developers
    - Remove full stop from description
  * debian/copyright:
    - Updated to reflect the debianization based on upstream's packaging
    - Added more required information
  * debian/rules:
    - Removed unused extra rules
    - Install menu file to correct path
    - Convert menu icon to xpm
    - Removed various other cruft
  * debian/compat:
    - Bumped to 5
  * debian/README.Debian-source:
    - Added to explain repackaging
  * debian/postinst:
    - Turned into stub for debhelper
  * debian/postrm:
    - Added as stub for debhelper
  * debian/gmusicbrowser.menu:
    - Added (copied from source and sanitised)
  * debian/dirs:
    - Added to create usr/share/pixmaps

 -- Andy Price <andy@andrewprice.me.uk>  Sat, 23 Jun 2007 21:37:50 +0100

=== debian/control ===
Source: gmusicbrowser
Section: sound
Priority: optional
Maintainer: Quentin Sculo <squentin@free.fr>
Homepage: http://gmusicbrowser.org/
Build-Depends: debhelper (>= 5.0.0)
Standards-Version: 3.7.3

Package: gmusicbrowser
Architecture: all
Depends: perl, libgtk2-perl, libgtk2.0-0 (>= 2.6)
Recommends: liblocale-gettext-perl (>= 1.04), libnet-dbus-perl, libgtk2-trayicon-perl, libgstreamer-perl, libdigest-crc-perl, libcairo-perl
Suggests: mplayer, mpg321, vorbis-tools, alsa-utils, libgtk2-mozembed-perl, libgstreamer-interfaces-perl, libgtk2-notify-perl, libgnome2-wnck-perl
Description: jukebox for large collections of mp3/ogg/flac/mpc files
 Uses GStreamer, mpg321/ogg123/flac123 or mplayer for playback. It has easy
 access to related songs (same artist/album/title), supports multiple genres
 per song, ratings, and customizable labels. The windows layouts are completely
 cusomizable, it uses dynamic filters with unlimited nesting of conditions,
 has a powerful mass-tagging dialog ...
